summaryrefslogtreecommitdiffstats
path: root/share/tests/str2i.h/str2i/str2i_nobuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'share/tests/str2i.h/str2i/str2i_nobuild.sh')
-rwxr-xr-xshare/tests/str2i.h/str2i/str2i_nobuild.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/share/tests/str2i.h/str2i/str2i_nobuild.sh b/share/tests/str2i.h/str2i/str2i_nobuild.sh
index 30546f3..b9e0a08 100755
--- a/share/tests/str2i.h/str2i/str2i_nobuild.sh
+++ b/share/tests/str2i.h/str2i/str2i_nobuild.sh
@@ -13,8 +13,8 @@ LIBS="$(pkgconf --libs liba2i)";
$CC $CFLAGS -o "$out" -x c - $LIBS 2>&1 <<__EOF__ \
-| if ! grep -- '-Werror=pointer-sign' >/dev/null; then \
- >&2 printf '%s\n' "$0:$LINENO: Expected error: [-Werror=pointer-sign]"; \
+| if ! grep -- 'pointer-sign' >/dev/null; then \
+ >&2 printf '%s\n' "$0:$LINENO: Expected error: [pointer-sign]"; \
exit 1; \
else \
true; \
@@ -51,8 +51,8 @@ __EOF__
$CC $CFLAGS -o "$out" -x c - $LIBS 2>&1 <<__EOF__ \
-| if ! grep -- 'error: ._Generic. selector' >/dev/null; then \
- >&2 printf '%s\n' "$0:$LINENO: Expected error: '_Generic' selector"; \
+| if ! grep -- '_Generic' >/dev/null; then \
+ >&2 printf '%s\n' "$0:$LINENO: Expected error: [_Generic]"; \
exit 1; \
else \
true; \